Bug Hunting Session
Bug 105606 - Digital Signatures Helptext missing Windows & macOS instructions
Summary: Digital Signatures Helptext missing Windows & macOS instructions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-01-30 07:38 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-10-02 07:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-01-30 07:38:47 UTC
The help text for digital signatures has only instructions for Linux. Windows and macOS are missing.

https://help.libreoffice.org/Common/Applying_Digital_Signatures
Comment 1 Gabor Kelemen 2017-02-10 08:12:46 UTC
Code reference:
http://opengrok.libreoffice.org/xref/help/source/text/shared/guide/digitalsign_send.xhp

Apparently there is some instruction for Windows, it's just not visible in the Wiki.

No instructions for Mac so this part is valid.
Comment 2 Commit Notification 2017-08-31 11:08:46 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d32748eb92d52f1163ff560529ac488dfb25a3b7

tdf#105606: Clarify access to X509 certificate storage
Comment 3 Xisco Faulí 2017-10-01 08:43:23 UTC
A polite ping to Katarina Behrens (CIB): is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 4 Katarina Behrens (CIB) 2017-10-02 07:59:35 UTC
Offline help is fixed. I've no idea about online help